Loading...
Searching...
No Matches
mongocxx::v_noabi::options::delete_options Class Reference

`#include <mongocxx/v_noabi/mongocxx/options/delete.hpp>`

## Description

Used by MongoDB delete operations.

## Public Member Functions

| delete_options ()=default
| Default initialization.
| delete_options (v1::delete_many_options opts)
| Construct with the mongocxx::v1 equivalent.
| delete_options (v1::delete_one_options opts)
| Construct with the mongocxx::v1 equivalent.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::view_or_value > const & | collation () const
| Retrieves the current collation for this operation.
delete_options & | collation (bsoncxx::v_noabi::document::view_or_value collation)
| Sets the collation for this operation.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::types::bson_value::view_or_value > const | comment () const
| Gets the current value of the comment option.
delete_options & | comment (bsoncxx::v_noabi::types::bson_value::view_or_value comment)
| Set the value of the comment option.
bsoncxx::v_noabi::stdx::optional< v_noabi::hint > const & | hint () const
| Gets the current hint.
delete_options & | hint (v_noabi::hint index_hint)
| Sets the index to use for this operation.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::view_or_value > const | let () const
| Gets the current value of the let option.
delete_options & | let (bsoncxx::v_noabi::document::view_or_value let)
| Set the value of the let option.
| operator v1::delete_many_options () const
| Convert to the mongocxx::v1 equivalent.
| operator v1::delete_one_options () const
| Convert to the mongocxx::v1 equivalent.
bsoncxx::v_noabi::stdx::optional< v_noabi::read_concern > const & | read_concern () const
| The current read_concern for this operation.
delete_options & | read_concern (v_noabi::read_concern rc)
| Sets the read_concern for this operation.
bsoncxx::v_noabi::stdx::optional< v_noabi::write_concern > const & | write_concern () const
| The current write_concern for this operation.
delete_options & | write_concern (v_noabi::write_concern wc)
| Sets the write_concern for this operation.

## Constructor & Destructor Documentation

## delete_options() [1/3]

mongocxx::v_noabi::options::delete_options::delete_options | ( |  | ) |

default

Default initialization.

## delete_options() [2/3]

mongocxx::v_noabi::options::delete_options::delete_options | ( | v1::delete_many_options | opts | ) |

Construct with the mongocxx::v1 equivalent.

## delete_options() [3/3]

mongocxx::v_noabi::options::delete_options::delete_options | ( | v1::delete_one_options | opts | ) |

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## collation() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::view_or_value > const & mongocxx::v_noabi::options::delete_options::collation | ( |  | ) | const

inline

Retrieves the current collation for this operation.

Returns
  The current collation.

See also
  - https://www.mongodb.com/docs/manual/reference/collation/

## collation() [2/2]

delete_options & mongocxx::v_noabi::options::delete_options::collation | ( | bsoncxx::v_noabi::document::view_or_value | collation | ) |

inline

Sets the collation for this operation.

Parameters

  collation | The new collation.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

See also
  - https://www.mongodb.com/docs/manual/reference/collation/

## comment() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::types::bson_value::view_or_value > const mongocxx::v_noabi::options::delete_options::comment | ( |  | ) | const

inline

Gets the current value of the comment option.

Returns
  The current comment option.

## comment() [2/2]

delete_options & mongocxx::v_noabi::options::delete_options::comment | ( | bsoncxx::v_noabi::types::bson_value::view_or_value | comment | ) |

inline

Set the value of the comment option.

Parameters

  comment | The new comment option.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## hint() [1/2]

bsoncxx::v_noabi::stdx::optional< v_noabi::hint > const & mongocxx::v_noabi::options::delete_options::hint | ( |  | ) | const

inline

Gets the current hint.

Returns
  The current hint, if one is set.

## hint() [2/2]

delete_options & mongocxx::v_noabi::options::delete_options::hint | ( | v_noabi::hint | index_hint | ) |

inline

Sets the index to use for this operation.

Note
  if the server already has a cached shape for this query, it may ignore a hint.

Parameters

  index_hint | Object representing the index to use.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## let() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::view_or_value > const mongocxx::v_noabi::options::delete_options::let | ( |  | ) | const

inline

Gets the current value of the let option.

Returns
  The current let option.

## let() [2/2]

delete_options & mongocxx::v_noabi::options::delete_options::let | ( | bsoncxx::v_noabi::document::view_or_value | let | ) |

inline

Set the value of the let option.

Parameters

  let | The new let option.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## operator v1::delete_many_options()

mongocxx::v_noabi::options::delete_options::operator v1::delete_many_options | ( |  | ) | const

inline explicit

Convert to the mongocxx::v1 equivalent.

## operator v1::delete_one_options()

mongocxx::v_noabi::options::delete_options::operator v1::delete_one_options | ( |  | ) | const

inline explicit

Convert to the mongocxx::v1 equivalent.

## read_concern() [1/2]

bsoncxx::v_noabi::stdx::optional< v_noabi::read_concern > const & mongocxx::v_noabi::options::delete_options::read_concern | ( |  | ) | const

inline

The current read_concern for this operation.

Returns
  The current read_concern.

See also
  - https://www.mongodb.com/docs/manual/reference/read-concern/

## read_concern() [2/2]

delete_options & mongocxx::v_noabi::options::delete_options::read_concern | ( | v_noabi::read_concern | rc | ) |

inline

Sets the read_concern for this operation.

Parameters

  rc | The new read_concern.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

See also
  - https://www.mongodb.com/docs/manual/reference/read-concern/

## write_concern() [1/2]

bsoncxx::v_noabi::stdx::optional< v_noabi::write_concern > const & mongocxx::v_noabi::options::delete_options::write_concern | ( |  | ) | const

inline

The current write_concern for this operation.

Returns
  The current write_concern.

See also
  - https://www.mongodb.com/docs/manual/core/write-concern/

## write_concern() [2/2]

delete_options & mongocxx::v_noabi::options::delete_options::write_concern | ( | v_noabi::write_concern | wc | ) |

inline

Sets the write_concern for this operation.

Parameters

  wc | The new write_concern.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

See also
  - https://www.mongodb.com/docs/manual/core/write-concern/

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/options/delete.hpp